Bug 199650 - cdrecord failure in OPC causes system crash
cdrecord failure in OPC causes system crash
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 21:15 EDT by Arthur Kahlich
Modified: 2008-08-18 10:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 10:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Kahlich 2006-07-20 21:15:50 EDT
Description of problem:
cdrecord failure in OPC causes system crash

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-5

How reproducible:
Try to record a DVD where OPC fails and the system becomes non-responsive,
requiring holding the power button for 4 seconds to restart.

Steps to Reproduce:
1. Open DVD writer tray, place blank but defective DVD-R in tray, leave open.

2. Make a .iso file using:

mkisofs -l -r -o valid_iso_file.iso some_directory

where valid_iso_file.iso is not in some_directory or any sub-tree of it.

3. As super-user, enter

cdrecord -v -eject -sao speed=16 dev=4,0,0 valid_iso_file.iso

4. System crashes with "...OPC" on last line.
 
Additional info:

My kernel boot line looks like:

kernel /vmlinuz-2.6.9-34.0.2.EL ro root=/dev/VolGroup00/LogVol00 hda=ide-scsi
console=ttyS0 rhgb quiet

and yes, I added the hda=ide-scsi to the boot line myself. Please let me
know if this will cause problems and recommend how I should configure the
driver software instead.

There are no other devices on the IDE ribbon cable with the DVD writer drive.  
The only other drive in the system is the SATA hard drive containing the 
boot, swap and filesystem root ('/') partitions.

[root@thor akahlich]# cdrecord -scanbus
Cdrecord-Clone 2.01-dvd (--) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c      1.83 04/05/20 Copyright
1997 J. Schilling').
scsibus4:
        4,0,0   400) 'Memorex ' 'DVD16+/-DL4RWlD2' 'JWS5' Removable CD-ROM
        4,1,0   401) *
        4,2,0   402) *
        4,3,0   403) *
        4,4,0   404) *
        4,5,0   405) *
        4,6,0   406) *
        4,7,0   407) *
[root@thor akahlich]#

***NOTE*** I have successfully burned many CD-R's (RedHat CD iso's) with this
drive using this command line:

cdrecord -v -eject speed=16 dev=4,0,0 valid_iso_file.iso
Comment 1 Arthur Kahlich 2006-07-20 21:36:37 EDT
Here is what a successful CD-R burn looks like on thor.  This was done
after experiencing 2 system crashes attempting to burn DVD-R media from a 
no-name manufacturer (GQ -- "Great Quality" from Fry's Electronics) and a 3rd 
system crash attempting to burn DVD+R media from Memorex. The only supported
modes from the GQ media were "PACKET SAO", thus the -sao in the command line 
above.

[root@thor akahlich]# cdrecord -v -eject speed=16 dev=4,0,0 dac2006-dvd.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (--) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
scsidev: '4,0,0'
scsibus: 4 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c      1.83 04/05/20 Copyright
1997 J. Schilling').
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'Memorex '
Identifikation : 'DVD16+/-DL4RWlD2'
Revision       : 'JWS5'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x002B
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009 (current)
Profile: 0x0008
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE FORCESPEED
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1895168 = 1850 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data   352 MB
Total size:      404 MB (40:07.44) = 180558 sectors
Lout start:      405 MB (40:09/33) = 180558 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 5
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type A, high Beta category (A+) (3)
  ATIP start of lead in:  -11634 (97:26/66)
  ATIP start of lead out: 359846 (79:59/71)
Disk type:    Short strategy type (Phthalocyanine or similar)
Manuf. index: 3
Manufacturer: CMC Magnetics Corporation
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 179288
Forcespeed is OFF.
Speed set to 2822 KB/s
Starting to write CD/DVD at speed  16.0 in real TAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
trackno=0
BURN-Free is ON.
Turning BURN-Free off
Performing OPC...
Starting new track at sector: 0
Track 01:  352 of  352 MB written (fifo 100%) [buf  99%]  16.8x.
Track 01: Total bytes read/written: 369778688/369778688 (180556 sectors).
Writing  time:  162.997s
Average write speed  15.5x.
Min drive buffer fill was 99%
Fixating...
Fixating time:   18.009s
cdrecord: fifo had 5825 puts and 5825 gets.
cdrecord: fifo was 0 times empty and 5742 times full, min fill was 84%.
[root@thor akahlich]# 
Comment 2 Arthur Kahlich 2006-07-20 22:08:00 EDT
I have tried to burn yet another of the GQ (Fry's generic) DVD-R's and it has 
crashed thor for a 4th time.  This time I ran the session from an ssh console 
remotely so that the console output would not disappear when the machine 
crashes.  I have copied it below:

[root@thor akahlich]# cdrecord -v -eject -sao speed=16 dev=4,0,0 dac2006-
dvd.iso
Cdrecord-Clone 2.01-dvd (--) Copyright (C) 1995-2004 JA¶rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to 
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this 
version.
TOC Type: 1 = CD-ROM
scsidev: '4,0,0'
scsibus: 4 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - 
Red Hat-scsi-linux-sg.c-1.83-RH '@
(#)scsi-linux-sg.c      1.83 04/05/20 Copyright 1997 J. Schilling').
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'Memorex '
Identifikation : 'DVD16+/-DL4RWlD2'
Revision       : 'JWS5'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0011
Profile: 0x002B
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011 (current)
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009
Profile: 0x0008
cdrecord: Found DVD media: using cdr_mdvd.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1563904 = 1527 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data   849 MB
Total size:      975 MB (96:36.68) = 434751 sectors
Lout start:      975 MB (96:38/51) = 434751 sectors
Current Secsize: 2048
  ATIP start of lead in:  -150 (00:00/00)
Disk type:    unknown dye (reserved id code)
Manuf. index: -1
Manufacturer: unknown (not in table)
Blocks total: 2298496 Blocks current: 2298496 Blocks remaining: 1863745
scsi_set_streaming
Speed set to 16620 KB/s
Starting to write CD/DVD at speed  13.0 in real SAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
trackno=0
BURN-Free is OFF.
BURN-Free is OFF.
Performing OPC...

------------------------------------------
The last line from thor is the blank line below 'Performing OPC...'. I don't 
know if this is a generic cdrecord problem -- the reason I say this is I 
remember having this problem a couple of years ago on a completely different
computer with a different Linux distribution. There I had some marginal CD's 
due to the way they were stored, and about one out of 4 CD's would crash that 
machine at precisely the same point in the record process.
Comment 3 Harald Hoyer 2006-07-21 03:16:19 EDT
Can you burn with growisofs instead of cdrecord??
Comment 5 Phil Knirsch 2008-08-18 10:33:31 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to persue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.